# -*- coding: utf-8 -*-
""" widgets stores

"""
#
# Create a static store with the axes definition
#
cfg = dbui.ArrayStore(fields=['axis', 'axis_local', 'granularity', 'granularity_local'],
                      data=[['projects', T('projects'), 'project', T('project')],
                            ['projects', T('projects'), 'agency',  T('agency')],
                            ['teams',    T('teams'),    'team',    T('team')],
                            ['teams',    T('teams'),    'domain',  T('domain')],
                            ['time',     T('time'),     'year',    T('year')]])
dbui.AddStore('axes', **cfg)

#
# order store contents for technical tables
#
storeModifier = dbui.StoreModifier('teams')
storeModifier.orderby(~db.teams.team)
