# -*- coding: utf-8 -*-
""" widgets fields

"""
#
# harvest selector (merge)
#
fieldsModifier = dbui.FieldsModifier('harvester_selector')
fieldsModifier.configure_field('year_start', flex=1)
fieldsModifier.configure_field('year_end', flex=1)
fieldsModifier.merge_fields('year_start', 'year_end', fieldLabel=T('Year'))

#
# publications
#
fieldsModifier = dbui.FieldsModifier('publications')
fieldsModifier.configure_field('conference_start', format='Y-m-d')
fieldsModifier.configure_field('conference_end', format='Y-m-d')
fieldsModifier.configure_field('year', maxValue=datetime.now().year)

fieldsModifier.merge_fields('first_page', 
                            'last_page', 
                            fieldLabel=T('Pages'), 
                            defaults={'flex': 1})

fieldsModifier.merge_fields('conference_start',
                            'conference_end',
                            fieldLabel=T('Dates'), 
                            defaults={'flex': 1})